misc_opam_checks:
  extends:
    - .test_template
    - .needs__trigger
    # This job is flaky due to e.g. network issues.
    - .oc.template__retry_flaky
    - .rules__octez_changes
  script:
    # checks that all deps of opam packages are already installed
    - ./scripts/opam-check.sh
  # TODO: https://gitlab.com/tezos/tezos/-/issues/6604
  # We let this job fail for now due to an issue with ocamlfind
  # in opam repos.
  allow_failure: true
  artifacts:
    when: always
    paths:
      - opam_repo.patch
    expire_in: 1 days
